#ifndef __GAMEOBJECTFACTORY_H__
#define __GAMEOBJECTFACTORY_H__

#include "../../../SexyAppFramework/Widget.h"

namespace Sexy
{
	class GameApp;
	class GameObject;
	class GameFrame;

class GameObjectFactory
{
	private:
		GameApp* pApp;
		GameFrame* pFrame;

	public:
		enum eObjectName {ORDERTABLE, OVEN, PREPTABLE, CHAIR, TABLE, FRIDGE, TRASH};

	public:
		GameObjectFactory(GameApp* theApp, GameFrame* theFrame);
		virtual ~GameObjectFactory();	

		GameObject* getObject(short name);

};

}

#endif	// __GAMEOBJECTFACTORY_H__