#ifndef __POPUPMSG_H__
#define __POPUPMSG_H__

namespace Sexy
{
	class Graphics;
	class WidgetManager;

	class GameApp;
	class GameFrame;

	class Image;

class PopupMsg : public Widget
{
	private:
		GameApp* pApp;
		GameFrame* pFrame;

		int mTimer;
		float mMaxTimer;

	public:
		std::string mDisplayString1;
		Color mStringColor1;
		Image* pDisplayImage1;
		Color mImageColor1;

		std::string mDisplayString2;
		Color mStringColor2;
		Image* pDisplayImage2;
		Color mImageColor2;

	public:
		PopupMsg(GameApp* theApp, GameFrame* theFrame, int theTimer);
		virtual ~PopupMsg();

		virtual void Draw(Graphics* g);
		virtual void Update();

		virtual void MouseMove(int x, int y);

		virtual void AddedToManager(WidgetManager* theWidgetManager);
		virtual void RemovedFromManager(WidgetManager* theWidgetManager);

		virtual void Center(int theX, int theY);
};

}

#endif	// __POPUPMSG_H__