#ifndef __TOBJECTORDER_H__
#define __TOBJECTORDER_H__

#include "TObject.h"

namespace Sexy
{
	class Graphics;
	class WidgetManager;

	class GameApp;
	class GameFrame;
	class ObjectTable;

class TObjectOrder : public TObject
{
	private:
		bool mFilled;

		bool* mFilledOrderArray;

	public:
		TObjectOrder(GameApp* theApp, GameFrame* theFrame);
		virtual ~TObjectOrder();	

		virtual void Draw(Graphics* g);
		virtual void Update();

		virtual TObject* Copy();
		virtual void InitArray(int num);


};

}

#endif	// __TOBJECTORDER_H__