#ifndef __TRAYWIDGET_H__
#define __TRAYWIDGET_H__

namespace Sexy
{
	class GameApp;
	class GameFrame;

	class TObject;
	class Tray;

class TrayWidget : public Widget
{
	private:
		GameApp* pApp;
		GameFrame* pFrame;
		Tray* pTray;

		Image* pBgImg;
		TObject** pObjArray;
		short mNumItems;
		short mMaxItems;

		bool mVertical;	
		

	public:
		TrayWidget(GameApp* theApp, GameFrame* theFrame, Tray* theTray, short theSize);
		virtual ~TrayWidget();

		virtual void Draw(Graphics* g);

		bool addItem(TObject* theItemObj);
		bool removeItem(TObject* theItemObj);

		void setBackgroundImg(Image* theBgImg);

		void setVertical(bool toggle);

		virtual void MouseMove(int x, int y);
};

}

#endif	// __TRAYWIDGET_H__