#ifndef __FRAMEFACTORY_H__
#define __FRAMEFACTORY_H__

#include "../../../SexyAppFramework/Widget.h"

namespace Sexy
{
	class GameApp;
	class Widget;

class FrameFactory
{
	private:
		GameApp* pApp;

	public:
		enum eFrameName {MAINMENU, GAME, INSTRUCTION};

	public:
		FrameFactory(GameApp* theApp);
		virtual ~FrameFactory();	

		Widget* getFrame(eFrameName name);

};

}

#endif	// __FRAMEFACTORY_H__