#include "GameCharFactory.h"
#include "GameApp.h"
#include "GameFrame.h"

#include "GameChar.h"
#include "CharLorenzo.h"


using namespace Sexy;

GameCharFactory::GameCharFactory(GameApp* theApp, GameFrame* theFrame)
{
	pApp = theApp;
	pFrame = theFrame;
}

GameCharFactory::~GameCharFactory()
{
}

GameChar* GameCharFactory::getChar(eCharName name)
{
	GameChar* gc = NULL;

	switch(name)
	{
	case LORENZO: gc = new CharLorenzo(pApp, pFrame); break;
	}

	return gc;
}
