#ifndef __GAMECHARFACTORY_H__
#define __GAMECHARFACTORY_H__

#include "../../../SexyAppFramework/Widget.h"

namespace Sexy
{
	class GameApp;
	class GameChar;
	class GameFrame;

class GameCharFactory
{
	private:
		GameApp* pApp;
		GameFrame* pFrame;

	public:
		enum eCharName {LORENZO, LUISA};

	public:
		GameCharFactory(GameApp* theApp, GameFrame* theFrame);
		virtual ~GameCharFactory();	

		GameChar* getChar(eCharName name);

};

}

#endif	// __GAMECHARFACTORY_H__