#ifndef __GAMENODE_H__
#define __GAMENODE_H__

namespace Sexy
{

class GameSimpleNode
{
	public:
		short x;
		short y;

	public:
		GameSimpleNode(short theX=0, short theY=0);
		~GameSimpleNode();
		void operator=(GameSimpleNode theNode);
		bool operator==(GameSimpleNode theNode);
};

class GameNode : public GameSimpleNode
{
	public:
		GameNode* pParent;
		short f;
		short g;
		short h;

	public:
		GameNode(short theX=0, short theY=0);
		~GameNode();
		void operator=(GameNode theNode);
		GameSimpleNode getSimpleNode();
		void importSimpleNode(GameSimpleNode theNode);
		void CopyNode(GameNode* theNode);
		bool EqualTo(GameNode* Node);
};

class myPQueue
{
	private:
		int mCapacity;
		int mIncrement;
		GameNode** mQueue;
		int mSize;

	public:
		myPQueue(int capacity=10, int increment=5);
		~myPQueue();
		void remove(GameNode* theNode);
		void sortAsc();
		void sortDec();
		void push(GameNode* theNode);
		GameNode* pop();
		int size();
};

}

#endif	// __GAMENODE_H__