#ifndef __GAMESPACE_H__
#define __GAMESPACE_H__

#include "../../../SexyAppFramework/Widget.h"

namespace Sexy
{
	class Graphics;
	class WidgetManager;

	class GameApp;
	class GameFrame;

class GameSpace : public Widget
{
	private:
		GameApp* pApp;
		GameFrame* pFrame;

	public:
		GameSpace(GameApp* theApp, GameFrame* theFrame);
		virtual ~GameSpace();	

		virtual void Draw(Graphics* g);
		virtual void Update();

		virtual void AddedToManager(WidgetManager* theWidgetManager);
		virtual void RemovedFromManager(WidgetManager* theWidgetManager);

		virtual void MouseMove(int x, int y);
		virtual void MouseUp(int x, int y, int theBtnNum, int theClickCount);
		
};

}

#endif	// __GAMESPACE_H__