#ifndef __OBJECTOVEN_H__
#define __OBJECTOVEN_H__

#include "GameObject.h"

namespace Sexy
{
	class Graphics;
	class WidgetManager;

	class GameApp;
	class GameFrame;
	class TObject;
	class TObjectFactory;

	class Tray;

class ObjectOven : public GameObject
{
	private:
		short mCountdown;
		bool mDrawCountdownImg;

		TObject* mPizza;

		enum eStateType {EMPTY, COOKING, WAITING_PICKUP};
		eStateType mState;

	public:
		ObjectOven(GameApp* theApp, GameFrame* theFrame);
		virtual ~ObjectOven();	

		virtual void Draw(Graphics* g);
		virtual void Update();
		virtual void Delivered(short id);

		virtual TObject* Dispense();
		virtual bool Consume(Tray* theTray);

		void setState(eStateType newStatus);

};

}

#endif	// __OBJECTOVEN_H__