#ifndef __TOBJECTFACTORY_H__
#define __TOBJECTFACTORY_H__

#include "../../../SexyAppFramework/Widget.h"

namespace Sexy
{
	class GameApp;
	class GameFrame;
	class TObject;

class TObjectFactory
{
	private:
		GameApp* pApp;
		GameFrame* pFrame;

	public:
		enum eObjectName{	BASIL,
							OREGANO,
							ONION,
							GARLIC,
							ANCHOVY,
							SAUSAGE,

							ORDER,
 
							MARGHERITA,
							MARINARA,
							CIPOLLA,
							NAPOLETANA,
							VIENNESE
						};

	public:
		TObjectFactory(GameApp* theApp, GameFrame* theFrame);
		virtual ~TObjectFactory();	

		TObject* getTObject(short name);

		void AssignPizzaIngredients(TObject* theObj, short pizzaName);
		void AssignIngredientName(TObject* theObj, short ingredientName);
		void AssignImages(TObject* theObj, short pizzaName);

};

}

#endif	// __TOBJECTFACTORY_H__